2 # nohup -- run a command immume to hangups, with output to a non-tty
3 # Copyright (C) 1991, 1997, 1999, 2000, 2002 Free Software Foundation, Inc.
5 # This program is free software; you can redistribute it and/or modify
6 # it under the terms of the GNU General Public License as published by
7 # the Free Software Foundation; either version 2, or (at your option)
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY; without even the implied warranty of
12 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
13 # GNU General Public License for more details.
15 # You should have received a copy of the GNU General Public License
16 # along with this program; if not, write to the Free Software Foundation,
17 # Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
19 # Written by David MacKenzie <djm@gnu.ai.mit.edu>.
21 usage
="Usage: $0 COMMAND [ARG]...
25 Try \`$0 --help' for more information."
27 usage_help
="Run COMMAND, ignoring hangup signals.
29 --help display this help and exit
30 --version output version information and exit
32 Report bugs to <@PACKAGE_BUGREPORT@>."
45 echo "$usage" || fail
=127; echo "$usage_help" || fail
=127
48 echo "nohup (@GNU_PACKAGE@) @VERSION@" || fail
=127
58 # Redirect stdout if the user didn't already do it.
60 oldmask
=`umask`; umask 077
61 # If we cannot write to the current directory, use the home directory.
62 if exec >> nohup.out
; then
63 echo "nohup: appending output to \`nohup.out'" >&2
64 elif exec >> "$HOME/nohup.out"; then
65 echo "nohup: appending output to \`$HOME/nohup.out'" >&2
67 echo "nohup: cannot append to either \`nohup.out' or \`$HOME/nohup.out'" \
74 # Redirect stderr if the user didn't already do it.